SystemOrganization addCategory: #'OB-TracingMessagesBrowser'!

!OBCodeBrowser methodsFor: '*OB-TracingMessagesBrowser' stamp: 'hfm 6/2/2008 01:04'!
cmdTracingMessagesBrowser

	^ OBTracingMessagesBrowser! !

OBCommand subclass: #OBTracingMessagesBrowser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OB-TracingMessagesBrowser'!

!OBTracingMessagesBrowser commentStamp: 'hfm 6/2/2008 00:49' prior: 0!
This class allows to open TMB from the OmniBrowser.
!

!OBTracingMessagesBrowser methodsFor: 'execution' stamp: 'hfm 6/2/2008 01:14'!
execute
	"Private - Open the Tracing Messages Browser 
	on the selected method and class"
	
	| methodRef |
	
	methodRef := (MethodReference new setStandardClass: target theClass 
										methodSymbol: target selector) .
	TracingMessagesBrowser 
		openMessageList: (OrderedCollection with: methodRef)
		name: target selector
		autoSelect: nil.

! !

!OBTracingMessagesBrowser methodsFor: 'testing' stamp: 'hfm 6/2/2008 01:13'!
isActive
	"Private - This specifies where to put this menu item..."
	
	^ (target isKindOf: OBMethodNode) and: [requestor isSelected: target]! !

!OBTracingMessagesBrowser methodsFor: 'accessing' stamp: 'hfm 6/2/2008 00:50'!
keystroke

	^ $T! !

!OBTracingMessagesBrowser methodsFor: 'accessing' stamp: 'hfm 6/2/2008 00:51'!
label

	^ 'trace messages'! !
